$(document).ready(function () {
    $("body").on("change", ".empname", empcode);
//    $("body").on('change', '.depart', getdata);
    $("body").on("keyup", ".provfund, .proftax, .esic, .loan", cal);
    $("body").on("keyup", ".salary, .loan, .totded", CalNetSal);
    $("body").on("change", ".modepay", getBankCash);

    function getBankCash() {
        var tr = $(this).closest("tr"),
                modepay = tr.find(".modepay").val();
        if (modepay == 'B' || modepay == 'C') {
            $.post('getbcname.php', {modepay: modepay}, function (data) {
                tr.find(".bankname").html(data);
            });
        } else {
            alert("Pay Mode Shoud be B or C Only");
            tr.find(".modepay").val("");
            tr.find(".modepay").focus();
        }
    }

    function cal() {
        var tr = $(this).closest("tr"),
                provfund = parseFloat(tr.find(".provfund").val()),
                proftax = parseFloat(tr.find(".proftax").val()),
                esic = parseFloat(tr.find(".esic").val()),
                advance = parseFloat(tr.find(".advance").val()),
                loan = parseFloat(tr.find(".loan").val());
        var total = parseFloat(provfund) + parseFloat(proftax) + parseFloat(esic) + parseFloat(loan) + parseFloat(advance);

        tr.find(".totded").val(total);

    }

    function CalNetSal() {
        var tr = $(this).closest("tr"),
                salary = tr.find(".salary").val(),
                totded = tr.find(".totded").val();
        var netsal = parseFloat(salary) - parseFloat(totded);

        tr.find(".netsal").val(netsal);

    }


    function empcode() {
        var empname = $(".empname").val();
        $.post("get_empcode.php", {empname: empname}, function (data) {
            $(".empcode").val(data);
        });
    }



//    function getdata() {
//        var depart = $('.depart').val();
//        $.post('get_saldata.php', {depart: depart}, function (data1) {
//            $(".tabledata").html(data1);
//        });
//
//    }

});

